Bug 31670 - On WinRT, BackgroundColor of Button is used to paint outside the border of Buttons with rounded corners
Summary: On WinRT, BackgroundColor of Button is used to paint outside the border of Bu...
Status: CLOSED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Windows (show other bugs)
Version: 1.4.3
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Jason Smith [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2015-07-06 13:41 UTC by John Hardman
Modified: 2016-06-08 18:27 UTC (History)
4 users (show)

Tags: ac windows
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED FIXED

Description John Hardman 2015-07-06 13:41:28 UTC
When drawing a Button with rounded corners, on Windows (WinRT) the same color (the BackgroundColor of the Button) is shown outside the rounded corners as inside the rounded corners. This is not what I would expect, nor what happens on iOS. On iOS, the colour of the View behind the Button is shown outside the rounded corners. Displaying the BackgroundColor of a Button outside border of the Button on WinRT is not expected behaviour.
Comment 1 John Hardman 2015-12-08 11:45:42 UTC
Hi Jason.

Is there any update on this? It's had a status of In Progress for 4 months. The problem still exists in XF 2.0

Many thanks,

John H.
Comment 3 John Hardman 2016-03-23 00:13:12 UTC
Problem still exists in 2.1.0.6529
Comment 4 Rui Marinho 2016-04-01 10:11:27 UTC
Should be fixed in 2.2-pre1
Comment 5 Parmendra Kumar 2016-04-12 14:50:43 UTC
I have checked this issue with Xamarin.Forms 2.2-pre2 and now its working as expected.

Screencast: http://www.screencast.com/t/SwfgQ7QzJxA

Hence closing this issue.

Please follow the screencast and let me know If I can check anything else regarding the same.
Comment 6 John Hardman 2016-06-08 17:08:07 UTC
Re-tested using XF 2.2.0.45 on UWP, WinRT 8.1 and Android. Confirmed fixed.
Comment 7 John Hardman 2016-06-08 17:36:07 UTC
Is the process that I make this bug as Closed, as I reported it?
Comment 8 Parmendra Kumar 2016-06-08 17:47:20 UTC
@John,

It is not necessary but If you want then please feel free to close it.